Security Advisory 2021-08

Summary Remote Code Execution via Deserialisation in the Halibut Protocol (CVE-2021-31819)
Advisory Number 2021-08
Discovery Date 21 Jul 2021
Patch Release Date 31 Aug 2021
Advisory Release Date 22 Sep 2021
Product Halibut
Operating System N/A
Severity High
CVE ID CVE-2021-31819

Customers who have upgraded Halibut to version 4.4.7 or higher are not affected.

Severity

Octopus Deploy has given this vulnerability a high rating. This rating was given according to the Octopus Deploy security levels, which ranks vulnerabilities as critical, high, medium, or low severity.

This is our assessment and you should evaluate its applicability to your own environment.

Details

In Halibut versions prior to 4.4.7 there is a deserialisation vulnerability that could allow remote code execution on systems that already trust each other based on certificate verification.

The versions of Halibut affected by this vulnerability are:

  • All versions of Halibut before version 4.4.7.

Fix

To address this vulnerability, we have released Halibut version:

  • 4.4.7 which contains a fix for this issue.

If you are using Halibut in your projects please update Halibut to the latest version which can downloaded from https://www.nuget.org/packages/Halibut/

What You Need to Do

Octopus Deploy recommends that you upgrade to the latest version (4.4.7). You can download the latest version of Halibut from https://www.nuget.org/packages/Halibut/

Mitigation

There is no known mitigation for CVE-2021-31819, it is important to upgrade to a fixed version as soon as possible.

Support

If you have any questions or concerns regarding this advisory, please contact our support team (https://octopus.com/support).

Exploitation and Public Announcements

The Octopus Deploy security team is not aware of any public announcements or malicious use of the vulnerability that is described in this advisory.

Source

This vulnerability was discovered by Ashley Donaldson from Beyond Binary.